Request
Endpoint: !ResendVerificationEmailSMIME
https://secure.trust-provider.com/products/!ResendVerificationEmailSMIME
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table displays the required, optional, and conditional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
|
required |
string |
128 chars |
The order number of the certificate to resend the email for. |
|
optional |
string |
32000 chars |
The email address(es) to resend the email(s) to. Use a comma-separated list to specify multiple email addresses. If omitted, the emails will be resent to all the email addresses included in the certificate. |
Sample request
curl --location 'https://secure.trust-provider.com/products/!ResendVerificationEmailSMIME' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=123456789'
Response
The request is successful when the server returns a response with the status code equals 0.
Any status code less than 0 indicates an error condition.
|
The list of codes and their descriptions can be found in Error codes. |
Error codes
The following table outlines error responses returned by the ResendVerificationEmailSMIME API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The provided value for the 'xxxx' argument is invalid. |
|
|
An unknown error occurred. |
|
|
Authentication has failed due to one of the specified reasons. Verify your login credentials or check account restrictions. |
|
|
The request method should be |
|
|
The certificate is not in a state that allows the requested operation. |
|
|
The required agreement has not been accepted. |
|
|
The certificate has pending actions that must be completed before proceeding. |
|
|
The certificate has not been issued yet. |